WP6ParagraphGroup_SpacingAfterParagraphSubGroup Class Reference

`#include <WP6ParagraphGroup.h>`

Inheritance diagram for WP6ParagraphGroup_SpacingAfterParagraphSubGroup:

## Public Member Functions

| WP6ParagraphGroup_SpacingAfterParagraphSubGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned short sizeNonDeletable)
void | parse (WP6Listener *listener, const unsigned char numPrefixIDs, unsigned short const *prefixIDs) const override
Public Member Functions inherited from WP6VariableLengthGroup_SubGroup
virtual | ~WP6VariableLengthGroup_SubGroup ()

## Private Attributes

double | m_spacingAfterParagraphAbsolute
double | m_spacingAfterParagraphRelative
unsigned short | m_sizeNonDeletable

## Constructor & Destructor Documentation

## WP6ParagraphGroup_SpacingAfterParagraphSubGroup()

WP6ParagraphGroup_SpacingAfterParagraphSubGroup::WP6ParagraphGroup_SpacingAfterParagraphSubGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned short | sizeNonDeletable )

## Member Function Documentation

## parse()

void WP6ParagraphGroup_SpacingAfterParagraphSubGroup::parse | ( | WP6Listener * | listener,
|  | const unsigned char | numPrefixIDs,
|  | unsigned short const * | prefixIDs ) const

override virtual

Implements WP6VariableLengthGroup_SubGroup.

## Member Data Documentation

## m_sizeNonDeletable

unsigned short WP6ParagraphGroup_SpacingAfterParagraphSubGroup::m_sizeNonDeletable

private

Referenced by WP6ParagraphGroup_SpacingAfterParagraphSubGroup().

## m_spacingAfterParagraphAbsolute

double WP6ParagraphGroup_SpacingAfterParagraphSubGroup::m_spacingAfterParagraphAbsolute

private

Referenced by parse(), and WP6ParagraphGroup_SpacingAfterParagraphSubGroup().

## m_spacingAfterParagraphRelative

double WP6ParagraphGroup_SpacingAfterParagraphSubGroup::m_spacingAfterParagraphRelative

private

Referenced by parse(), and WP6ParagraphGroup_SpacingAfterParagraphSubGroup().

The documentation for this class was generated from the following files:

- WP6ParagraphGroup.h
- WP6ParagraphGroup.cpp